<header class="bg-dark text-white p-3">
  <nav class="navbar navbar-expand-lg navbar-dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Gestión de usuarios App</a>
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ms-auto">
          <li class="nav-item">
            <a
              class="nav-link"
              style="cursor: pointer"
              (click)="goBackToDashboard()"
            >
              Dashboard
            </a>
          </li>
          <li class="nav-item">
            <a
              class="nav-link"
              style="cursor: pointer"
              (click)="goBackToAdministracionRoles()"
            >
              Administración de Roles
            </a>
          </li>
          <li class="nav-item">
            <a
              class="nav-link"
              style="cursor: pointer"
              (click)="goBackToAdministracionUsuarios()"
            >
              Administración de Usuarios
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" style="cursor: pointer" (click)="logout()"
              >Salir de sesión</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
</header>
